import java.lang.reflect.*;

public class InvokeMethod {
  public int add(int a, int b, int c)
  {
     return a + b + c;
  }
 public static void main(String args[]){
     try {
       Class cla = Class.forName("InvokeMethod");
       Class integerType[] = new Class[3];
        integerType[0] = Integer.TYPE;
        integerType[1] = Integer.TYPE;
		integerType[2] = Integer.TYPE;
        Method method = cla.getMethod(
          "add", integerType);
        InvokeMethod invoke = new InvokeMethod();
        Object arg[] = new Object[3];
        arg[0] = new Integer(30);
        arg[1] = new Integer(40);
		arg[2] = new Integer(50);
        Object object = method.invoke(invoke, arg);
        Integer integer = (Integer)object;
        System.out.println(integer.intValue());
     }
     catch (Throwable e) {
        System.out.println(e);
     }
  }
}

